Bulletin d'alerte Debian

DSA-980-1 tutos -- Plusieurs vulnérabililités

Date du rapport :
22 février 2006
Paquets concernés :
tutos
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 318633.
Dans le dictionnaire CVE du Mitre : CVE-2004-2161, CVE-2004-2162.
Plus de précisions :

Joxean Koret a découvert plusieurs problèmes de sécurité dans tutos, un logiciel d'organisation d'équipe par le web. Le projet « Common Vulnerabilities and Exposures » a identifié les problèmes suivants :

  • CVE-2004-2161

    Une vulnérabilité d'injection SQL permettait l'exécution de commandes SQL à travers le paramètre link_id du fichier file_overview.php.

  • CVE-2004-2162

    Des vulnérabilités de scripts intersites dans la fonction de recherche du carnet d'adresses et dans le fichier app_new.php permettaient l'exécution de scripts web.

L'ancienne distribution stable (Woody) ne contient pas le paquet tutos.

Pour l'actuelle distribution stable (Sarge), ces problèmes ont été corrigés dans la version 1.1.20031017-2+1sarge1.

La distribution instable (Sid) ne contient plus le paquet tutos.

Nous vous recommandons de mettre à jour votre paquet tutos.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/t/tutos/tutos_1.1.20031017-2+1sarge1.dsc
http://security.debian.org/pool/updates/main/t/tutos/tutos_1.1.20031017-2+1sarge1.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/t/tutos/tutos_1.1.20031017-2+1sarge1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.